VTK: vtkLandmarkTransform Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkLandmarkTransform Class Reference

a linear transform specified by two corresponding point sets More...

`#include <vtkLandmarkTransform.h>`

Inheritance diagram for vtkLandmarkTransform:
[legend]
Collaboration diagram for vtkLandmarkTransform:
[legend]

## Public Types
typedef vtkLinearTransform | Superclass
Public Types inherited from vtkLinearTransform
typedef vtkHomogeneousTransform | Superclass
Public Types inherited from vtkHomogeneousTransform
typedef vtkAbstractTransform | Superclass
Public Types inherited from vtkAbstractTransform
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkLandmarkTransform * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Inverse () override
| Invert the transformation. More...
vtkMTimeType | GetMTime () override
| Get the MTime. More...
vtkAbstractTransform * | MakeTransform () override
| Make another transform of the same type. More...
void | SetSourceLandmarks (vtkPoints *source)
| Specify the source and target landmark sets. More...
void | SetTargetLandmarks (vtkPoints *target)
| Specify the source and target landmark sets. More...
virtual vtkPoints * | GetSourceLandmarks ()
| Specify the source and target landmark sets. More...
virtual vtkPoints * | GetTargetLandmarks ()
| Specify the source and target landmark sets. More...
virtual void | SetMode (int)
| Set the number of degrees of freedom to constrain the solution to. More...
void | SetModeToRigidBody ()
| Set the number of degrees of freedom to constrain the solution to. More...
void | SetModeToSimilarity ()
| Set the number of degrees of freedom to constrain the solution to. More...
void | SetModeToAffine ()
| Set the number of degrees of freedom to constrain the solution to. More...
virtual int | GetMode ()
| Get the current transformation mode. More...
const char * | GetModeAsString ()
| Get the current transformation mode. More...
Public Member Functions inherited from vtkLinearTransform
vtkLinearTransform * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | TransformNormal (const float in[3], float out[3])
| Apply the transformation to a normal. More...
void | TransformNormal (const double in[3], double out[3])
| Apply the transformation to a double-precision normal. More...
double * | TransformNormal (double x, double y, double z)
| Synonymous with TransformDoubleNormal(x,y,z). More...
double * | TransformNormal (const double normal[3])
double * | TransformVector (double x, double y, double z)
| Synonymous with TransformDoubleVector(x,y,z). More...
double * | TransformVector (const double normal[3])
void | TransformVector (const float in[3], float out[3])
| Apply the transformation to a vector. More...
void | TransformVector (const double in[3], double out[3])
| Apply the transformation to a double-precision vector. More...
void | TransformPoints (vtkPoints *inPts, vtkPoints *outPts) override
| Apply the transformation to a series of points, and append the results to outPts. More...
virtual void | TransformNormals (vtkDataArray *inNms, vtkDataArray *outNms)
| Apply the transformation to a series of normals, and append the results to outNms. More...
virtual void | TransformVectors (vtkDataArray *inVrs, vtkDataArray *outVrs)
| Apply the transformation to a series of vectors, and append the results to outVrs. More...
void | TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs, int nOptionalVectors=0, vtkDataArray **inVrsArr=nullptr, vtkDataArray **outVrsArr=nullptr) override
| Apply the transformation to a combination of points, normals and vectors. More...
vtkLinearTransform * | GetLinearInverse ()
| Just like GetInverse, but it includes a typecast to vtkLinearTransform. More...
float * | TransformFloatNormal (float x, float y, float z)
| Apply the transformation to an (x,y,z) normal. More...
float * | TransformFloatNormal (const float normal[3])
| Apply the transformation to an (x,y,z) normal. More...
double * | TransformDoubleNormal (double x, double y, double z)
| Apply the transformation to a double-precision (x,y,z) normal. More...
double * | TransformDoubleNormal (const double normal[3])
| Apply the transformation to a double-precision (x,y,z) normal. More...
float * | TransformFloatVector (float x, float y, float z)
| Apply the transformation to an (x,y,z) vector. More...
float * | TransformFloatVector (const float vec[3])
| Apply the transformation to an (x,y,z) vector. More...
double * | TransformDoubleVector (double x, double y, double z)
| Apply the transformation to a double-precision (x,y,z) vector. More...
double * | TransformDoubleVector (const double vec[3])
| Apply the transformation to a double-precision (x,y,z) vector. More...
void | InternalTransformPoint (const float in[3], float out[3]) override
| This will calculate the transformation without calling Update. More...
void | InternalTransformPoint (const double in[3], double out[3]) override
| This will calculate the transformation without calling Update. More...
virtual void | InternalTransformNormal (const float in[3], float out[3])
| This will calculate the transformation without calling Update. More...
virtual void | InternalTransformNormal (const double in[3], double out[3])
| This will calculate the transformation without calling Update. More...
virtual void | InternalTransformVector (const float in[3], float out[3])
| This will calculate the transformation without calling Update. More...
virtual void | InternalTransformVector (const double in[3], double out[3])
| This will calculate the transformation without calling Update. More...
void | InternalTransformDerivative (const float in[3], float out[3], float derivative[3][3]) override
| This will calculate the transformation as well as its derivative without calling Update. More...
void | InternalTransformDerivative (const double in[3], double out[3], double derivative[3][3]) override
| This will calculate the transformation as well as its derivative without calling Update. More...
Public Member Functions inherited from vtkHomogeneousTransform
vtkHomogeneousTransform * | NewInstance () const
void | GetMatrix (vtkMatrix4x4 *m)
| Get a copy of the internal transformation matrix. More...
vtkMatrix4x4 * | GetMatrix ()
| Get a pointer to an internal vtkMatrix4x4 that represents the transformation. More...
vtkHomogeneousTransform * | GetHomogeneousInverse ()
| Just like GetInverse(), but includes typecast to vtkHomogeneousTransform. More...
Public Member Functions inherited from vtkAbstractTransform
vtkAbstractTransform * | NewInstance () const
void | TransformPoint (const float in[3], float out[3])
| Apply the transformation to a coordinate. More...
void | TransformPoint (const double in[3], double out[3])
| Apply the transformation to a double-precision coordinate. More...
double * | TransformPoint (double x, double y, double z)
| Apply the transformation to a double-precision coordinate. More...
double * | TransformPoint (const double point[3])
double * | TransformNormalAtPoint (const double point[3], const double normal[3])
double * | TransformVectorAtPoint (const double point[3], const double vector[3])
vtkAbstractTransform * | GetInverse ()
| Get the inverse of this transform. More...
void | SetInverse (vtkAbstractTransform *transform)
| Set a transformation that this transform will be the inverse of. More...
void | DeepCopy (vtkAbstractTransform *)
| Copy this transform from another of the same type. More...
void | Update ()
| Update the transform to account for any changes which have been made. More...
virtual int | CircuitCheck (vtkAbstractTransform *transform)
| Check for self-reference. More...
void | UnRegister (vtkObjectBase *O) override
| Needs a special UnRegister() implementation to avoid circular references. More...
float * | TransformFloatPoint (float x, float y, float z)
| Apply the transformation to an (x,y,z) coordinate. More...
float * | TransformFloatPoint (const float point[3])
| Apply the transformation to an (x,y,z) coordinate. More...
double * | TransformDoublePoint (double x, double y, double z)
| Apply the transformation to a double-precision (x,y,z) coordinate. More...
double * | TransformDoublePoint (const double point[3])
| Apply the transformation to a double-precision (x,y,z) coordinate. More...
void | TransformNormalAtPoint (const float point[3], const float in[3], float out[3])
| Apply the transformation to a normal at the specified vertex. More...
void | TransformNormalAtPoint (const double point[3], const double in[3], double out[3])
| Apply the transformation to a normal at the specified vertex. More...
double * | TransformDoubleNormalAtPoint (const double point[3], const double normal[3])
| Apply the transformation to a double-precision normal at the specified vertex. More...
float * | TransformFloatNormalAtPoint (const float point[3], const float normal[3])
| Apply the transformation to a single-precision normal at the specified vertex. More...
void | TransformVectorAtPoint (const float point[3], const float in[3], float out[3])
| Apply the transformation to a vector at the specified vertex. More...
void | TransformVectorAtPoint (const double point[3], const double in[3], double out[3])
| Apply the transformation to a vector at the specified vertex. More...
double * | TransformDoubleVectorAtPoint (const double point[3], const double vector[3])
| Apply the transformation to a double-precision vector at the specified vertex. More...
float * | TransformFloatVectorAtPoint (const float point[3], const float vector[3])
| Apply the transformation to a single-precision vector at the specified vertex. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkLandmarkTransform * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkLandmarkTransform * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkLinearTransform
static vtkTypeBool | IsTypeOf (const char *type)
static vtkLinearTransform * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkHomogeneousTransform
static vtkTypeBool | IsTypeOf (const char *type)
static vtkHomogeneousTransform * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAbstractTransform
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAbstractTransform * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkLandmarkTransform ()
| ~vtkLandmarkTransform () override
void | InternalUpdate () override
| Perform any subclass-specific Update. More...
void | InternalDeepCopy (vtkAbstractTransform *transform) override
| This method does no type checking, use DeepCopy instead. More...
Protected Member Functions inherited from vtkLinearTransform
| vtkLinearTransform ()=default
| ~vtkLinearTransform () override=default
Protected Member Functions inherited from vtkHomogeneousTransform
| vtkHomogeneousTransform ()
| ~vtkHomogeneousTransform () override
Protected Member Functions inherited from vtkAbstractTransform
| vtkAbstractTransform ()
| ~vtkAbstractTransform () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkPoints * | SourceLandmarks
vtkPoints * | TargetLandmarks
int | Mode
Protected Attributes inherited from vtkHomogeneousTransform
vtkMatrix4x4 * | Matrix
Protected Attributes inherited from vtkAbstractTransform
float | InternalFloatPoint [3]
double | InternalDoublePoint [3]
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

a linear transform specified by two corresponding point sets

A vtkLandmarkTransform is defined by two sets of landmarks, the transform computed gives the best fit mapping one onto the other, in a least squares sense. The indices are taken to correspond, so point 1 in the first set will get mapped close to point 1 in the second set, etc. Call SetSourceLandmarks and SetTargetLandmarks to specify the two sets of landmarks, ensure they have the same number of points.

Warning
  Whenever you add, subtract, or set points you must call Modified() on the vtkPoints object, or the transformation might not update.

See also
  vtkLinearTransform

Online Examples:

Tests:
  vtkLandmarkTransform (Tests)

Definition at line 43 of file vtkLandmarkTransform.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkLinearTransform vtkLandmarkTransform::Superclass

Definition at line 48 of file vtkLandmarkTransform.h.

## Constructor & Destructor Documentation

## ◆ vtkLandmarkTransform()

vtkLandmarkTransform::vtkLandmarkTransform | ( |  | ) |
| protected

## ◆ ~vtkLandmarkTransform()

vtkLandmarkTransform::~vtkLandmarkTransform | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkLandmarkTransform* vtkLandmarkTransform::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkLandmarkTransform::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkLandmarkTransform::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkLinearTransform.

## ◆ SafeDownCast()

static vtkLandmarkTransform* vtkLandmarkTransform::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkLandmarkTransform::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkLinearTransform.

## ◆ NewInstance()

vtkLandmarkTransform* vtkLandmarkTransform::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkLandmarkTransform::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkHomogeneousTransform.

## ◆ SetSourceLandmarks()

void vtkLandmarkTransform::SetSourceLandmarks | ( | vtkPoints * | source | ) |

Specify the source and target landmark sets.

The two sets must have the same number of points. If you add or change points in these objects, you must call Modified() on them or the transformation might not update.

## ◆ SetTargetLandmarks()

void vtkLandmarkTransform::SetTargetLandmarks | ( | vtkPoints * | target | ) |

Specify the source and target landmark sets.

The two sets must have the same number of points. If you add or change points in these objects, you must call Modified() on them or the transformation might not update.

## ◆ GetSourceLandmarks()

virtual vtkPoints* vtkLandmarkTransform::GetSourceLandmarks | ( |  | ) |
| virtual

Specify the source and target landmark sets.

The two sets must have the same number of points. If you add or change points in these objects, you must call Modified() on them or the transformation might not update.

## ◆ GetTargetLandmarks()

virtual vtkPoints* vtkLandmarkTransform::GetTargetLandmarks | ( |  | ) |
| virtual

Specify the source and target landmark sets.

The two sets must have the same number of points. If you add or change points in these objects, you must call Modified() on them or the transformation might not update.

## ◆ SetMode()

virtual void vtkLandmarkTransform::SetMode | ( | int |  | ) |
| virtual

Set the number of degrees of freedom to constrain the solution to.

Rigidbody (VTK_LANDMARK_RIGIDBODY): rotation and translation only. Similarity (VTK_LANDMARK_SIMILARITY): rotation, translation and isotropic scaling. Affine (VTK_LANDMARK_AFFINE): collinearity is preserved. Ratios of distances along a line are preserved. The default is similarity.

## ◆ SetModeToRigidBody()

void vtkLandmarkTransform::SetModeToRigidBody | ( |  | ) |
| inline

Set the number of degrees of freedom to constrain the solution to.

Rigidbody (VTK_LANDMARK_RIGIDBODY): rotation and translation only. Similarity (VTK_LANDMARK_SIMILARITY): rotation, translation and isotropic scaling. Affine (VTK_LANDMARK_AFFINE): collinearity is preserved. Ratios of distances along a line are preserved. The default is similarity.

Definition at line 74 of file vtkLandmarkTransform.h.

## ◆ SetModeToSimilarity()

void vtkLandmarkTransform::SetModeToSimilarity | ( |  | ) |
| inline

Set the number of degrees of freedom to constrain the solution to.

Rigidbody (VTK_LANDMARK_RIGIDBODY): rotation and translation only. Similarity (VTK_LANDMARK_SIMILARITY): rotation, translation and isotropic scaling. Affine (VTK_LANDMARK_AFFINE): collinearity is preserved. Ratios of distances along a line are preserved. The default is similarity.

Definition at line 75 of file vtkLandmarkTransform.h.

## ◆ SetModeToAffine()

void vtkLandmarkTransform::SetModeToAffine | ( |  | ) |
| inline

Set the number of degrees of freedom to constrain the solution to.

Rigidbody (VTK_LANDMARK_RIGIDBODY): rotation and translation only. Similarity (VTK_LANDMARK_SIMILARITY): rotation, translation and isotropic scaling. Affine (VTK_LANDMARK_AFFINE): collinearity is preserved. Ratios of distances along a line are preserved. The default is similarity.

Definition at line 76 of file vtkLandmarkTransform.h.

## ◆ GetMode()

virtual int vtkLandmarkTransform::GetMode | ( |  | ) |
| virtual

Get the current transformation mode.

## ◆ GetModeAsString()

const char * vtkLandmarkTransform::GetModeAsString | ( |  | ) |
| inline

Get the current transformation mode.

Definition at line 125 of file vtkLandmarkTransform.h.

## ◆ Inverse()

void vtkLandmarkTransform::Inverse | ( |  | ) |
| overridevirtual

Invert the transformation.

This is done by switching the source and target landmarks.

Implements vtkAbstractTransform.

## ◆ GetMTime()

vtkMTimeType vtkLandmarkTransform::GetMTime | ( |  | ) |
| overridevirtual

Get the MTime.

Reimplemented from vtkAbstractTransform.

## ◆ MakeTransform()

vtkAbstractTransform* vtkLandmarkTransform::MakeTransform | ( |  | ) |
| overridevirtual

Make another transform of the same type.

Implements vtkAbstractTransform.

## ◆ InternalUpdate()

void vtkLandmarkTransform::InternalUpdate | ( |  | ) |
| overrideprotectedvirtual

Perform any subclass-specific Update.

Reimplemented from vtkAbstractTransform.

## ◆ InternalDeepCopy()

void vtkLandmarkTransform::InternalDeepCopy | ( | vtkAbstractTransform * | transform | ) |
| overrideprotectedvirtual

This method does no type checking, use DeepCopy instead.

Reimplemented from vtkHomogeneousTransform.

## Member Data Documentation

## ◆ SourceLandmarks

vtkPoints* vtkLandmarkTransform::SourceLandmarks
| protected

Definition at line 115 of file vtkLandmarkTransform.h.

## ◆ TargetLandmarks

vtkPoints* vtkLandmarkTransform::TargetLandmarks
| protected

Definition at line 116 of file vtkLandmarkTransform.h.

## ◆ Mode

int vtkLandmarkTransform::Mode
| protected

Definition at line 118 of file vtkLandmarkTransform.h.

The documentation for this class was generated from the following file:

- Common/Transforms/vtkLandmarkTransform.h